function todisplaystring(value)
    if type(value) == 'string' or type(value) == 'number' then
        return tolocalizedstring(value)
    elseif value == true then
        return 'TRUE'
    elseif value == false then
        return 'FALSE'
    elseif (type(value) == 'table' or type(value) == 'userdata') and value.__tostring then
        return tostring(value)
    end
end

return todisplaystring
